### Method

# GtkSource MarkAttributes set_icon_name

#### Declaration [src]

    void
    gtk_source_mark_attributes_set_icon_name (
      GtkSourceMarkAttributes* attributes,
      const gchar* icon_name
    )

#### Description [src]

Sets a name of an icon to be used as a base for rendered icon.

Sets property | `GtkSource.MarkAttributes:icon-name`

#### Parameters

`icon_name`

  Type: `const gchar*`

  Name of an icon to be used.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.